# nng_aio_wait(3) Manual Page

## NAME

nng_aio_wait - wait for asynchronous I/O operation

## SYNOPSIS

    #include <nng/nng.h>

    void nng_aio_wait(nng_aio *aio);

## DESCRIPTION

The `nng_aio_wait()` function waits for an asynchronous I/O operation to complete. If the operation has not been started, or has already completed, then it returns immediately.

If the a callback was set with aio when it was allocated, then this function will not be called until the callback has completed.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_aio_abort(3), nng_aio_alloc(3), nng_aio(5), nng(7)